@import "../../../../../../../src/shared";

:host {
    display: block;

    .error {
        color: var(--bb-danger-color);
        padding: 0 $base-gutter;

        &:before {
            content: "Error: "
        }
    }

    .query-form {
        input {
            width: 300px;
            outline: none;
            border: none;
            color: var(--bb-text-color);
            background: var(--bb-back-color);
            padding: $base-gutter/2 $base-gutter;
            margin-bottom: -$base-gutter/2;
            white-space: nowrap;
        }
    }

    .actions {
        $actions__height: 23px;
        $actions__font-size: .7rem;

        text-align: right;
        display: flex;
        justify-content: flex-end;
        margin-top: $base-gutter;
        margin-bottom: -$base-gutter/2;
        visibility: hidden;

        .error {
            font-size: $actions__font-size;
            flex: 1;
            text-align: left;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            line-height: $actions__height;
        }

        button {
            @include button-link;
            color: var(--bb-primary-color);
            font-size: $actions__font-size;
            white-space: nowrap;
            margin-left: $base-gutter;
            line-height: $actions__height;
        }

        .query-form input {
            line-height: $actions__height;
            padding-top: 0;
            padding-bottom: 0;
        }
    }

    .add-button:before {
        content: "+ ";
        //font-weight: bold;
        //font-size: 1rem;
        //vertical-align: middle;
    }

    &:hover {
        .actions {
            visibility: visible;
        }
    }
}
